.paf-container {
  padding: 10px 20px 22px 20px;

  .calender-container {
    width: 620px;
    background: #FFFFFF;
    border: 1px solid #DADADA;

    .cal-header {
      background: #F5F5F5;
      height: 46px;
      min-height: 46px;

      .date-picker-pn-btn {
        width: 26px;
        height: 26px;
        background: #575757;
        border: none;
        text-align: center;
        padding: 0;
        margin: 0;
        color: #fff;
        border-radius: 4px;

        &:disabled {
          background: #DADADA;
        }
      }

      .selected-date-wrapper {
        width: 287px;
        height: 26px;
        background: #fff;
        border: none;
        border-radius: 4px;
        font-size: 14px;
        margin-left: 6px;
        margin-right: 6px;
        box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
        padding: 0 4px 0 4px;
      }
    }

    .cal-body {
      padding: 20px 52px 5px;

      .selection-message-container {
        height: 76px;
      }

      .day-name {
        width: 60px;
        margin-left: 16px;
        text-transform: uppercase;

        &:first-child {
          margin-left: 0;
        }
      }

      .date-cell {
        width: 60px;
        height: 60px;
        background: #DADADA;
        border-radius: 4px;
        margin-left: 15px;
        margin-bottom: 15px;
        cursor: pointer;

        &.have-date {
          background: #FFFFFF;
          border: 1px solid #394085;
        }

        &.clicked-cell {
          height: 70px;
          min-height: 70px;
          border-bottom-color: white;
          border-bottom-left-radius: 0;
          border-bottom-right-radius: 0;
          z-index: 2;
        }

        &:not(.extra):nth-child(8n + 1) {
          margin-left: 0;
        }

        .times-container {
          background: #FFFFFF;
          border: 1px solid #394085;
          height: 50px;
        }
      }
    }
  }

  .time-indicator {
    width: 10px;
    height: 10px;
    margin-left: 6px;

    &:first-child {
      margin-left: 0;
    }

    &.big {
      width: 20px;
      height: 20px;
    }

    &.m {
      background: #00AEEF;
    }

    &.a {
      background: #FF8333;
    }

    &.e {
      background: #A18BD6;
    }
  }
}

.pttr-select-popup {

  .dx-popup-normal {
    background: #ffffff;
    border-radius: 0 0 4px 4px;
    margin-top: -12px;
  }

  .dx-popover-arrow {
    width: 0 !important;
    height: 0 !important;
  }

  .dx-popup-content {
    padding: 8px 10px;
  }
}

.no-pm-field {
  .mat-form-field-wrapper {
    padding: 0;
    margin: 0;
  }
}
